"use strict";
this.name = "lave_trainee";
this.author = "phkb";
this.copyright = "2024 phkb";
this.description = "Ship script for mission type 2 trainee ship";
this.license = "CC-BY-NC-SA 4.0";

//-------------------------------------------------------------------------------------------------------------
this.shipDockedWithStation = function(station) {
    if (system.ID == worldScripts.lave_mission_2._sourceSystem) {
        worldScripts.lave_missions._missionStatus["mission_2"] = "COMPLETE";
        worldScripts.lave_mission_2.$updateStatus();
    }
}

//-------------------------------------------------------------------------------------------------------------
this.shipDied = function() {
    worldScripts.lave_missions._missionStatus["mission_2"] = "FAILED";
    worldScripts.lave_mission_2.$updateStatus();
}